Bug 465377 - rpmbuild should automatically process pkg-config files
rpmbuild should automatically process pkg-config files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 19:26 EDT by Bastien Nocera
Modified: 2008-11-29 12:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 12:45:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-10-02 19:26:27 EDT
pkg-config files are becoming the norm to offer a library's settings.

It would be very useful for rpm to process pkg-config files to add requires for -devel sub-packages. For example:
libfoo uses libbar and libbaz
libfoo-devel contains a pkg-config file that mentions "libbar and libbaz"
libfoo-devel should automatically have added to its requires the libbar-devel and libbaz-devel packages.

This would avoid problems when a package that uses libfoo but knows nothing of libbar or libbaz to have missing build requires.
Comment 1 Panu Matilainen 2008-10-03 01:41:24 EDT
Actually rpm already supports this, but generation of pkg-config requires has been disabled for now (provides are being added though) to avoid creating unsolvable dependencies.

What's needed is either
a) enabling the requires generation and a carefully ordered rebuild of all pkg-config enabled packages
b) rebuild of all pkg-config enabled packages (in whatever order), enabling the requires generation and then another rebuild of the packages (in whatever order)
Comment 2 Bug Zapper 2008-11-25 22:29:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Panu Matilainen 2008-11-29 12:45:44 EST
Starting right now, pkg-config (and libtool) requires are getting generated too, rawhide only as this is bound to cause some amount of breakage from unsatisfied dependencies here and there.

Note You need to log in before you can comment on or make changes to this bug.